
QGIS Application - Bug report #19174

"Add layers to a group" does not respect the setting "By default new layers added to the map should 

be displayed"

2018-06-12 09:10 AM - Casper Børgesen

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.1(master) Regression?: No

Operating System: windows 10 x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27003

Description

Steps to reproduce:

    1. Under QGIS/Settings/Options/Rendering/Rendering behaviour, make sure that "By default new layers added to the map should be

displayed" is unchecked.

    2. Open a FileGDB data set.

    3. Check the "Add layers to a group" when selecting which feature classes to add as layers.

    4. The added layers has been added and are shown even though they shouldn't.

Associated revisions

Revision 3ec853f6 - 2018-11-20 06:42 PM - Casper Børgesen

Fix for bug report #19174 - hide newly added layer(s) when in group

When loading a single layer QGIS will set it as invisible if the user have chosen so (new_layers_visible=false) in the settings. When a data set contains

more than one layer and the user

chooses "Add layers to a group" the layers are added as visible no matter what.

This commit is fixing that problem for both GDAL and OGR data sets by setting both the group and its layers as invisible/unchecked.

Fixes #19174

Revision a14f5e4a - 2018-11-22 09:01 PM - Luigi Pirelli

Merge pull request #8521 from chau-intl/master

Hide newly added layer(s) when in group. Fixes #19174

Revision 651b6569 - 2018-12-04 01:18 PM - Casper Børgesen

Fix for bug report #19174 - hide newly added layer(s) when in group

When loading a single layer QGIS will set it as invisible if the user have chosen so (new_layers_visible=false) in the settings. When a data set contains

more than one layer and the user

chooses "Add layers to a group" the layers are added as visible no matter what.
This commit is fixing that problem for both GDAL and OGR data sets by setting both the group and its layers as invisible/unchecked.

Fixes #19174

Revision a7ab47dd - 2018-12-04 03:05 PM - Luigi Pirelli

Merge pull request #8603 from chau-intl/release-3_4

[backport] Hide newly added layer(s) when in group. Fixes #19174

History

#1 - 2018-11-22 09:00 PM - Casper Børgesen

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|3ec853f635c1d497f41eeee1de705b7a2c3eddb1.
